Bug 1269816 - RFE: Include LICENSE file in source tarball by default
RFE: Include LICENSE file in source tarball by default
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-setuptools (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 05:40 EDT by Jakub Dorňák
Modified: 2016-11-30 19:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:09:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.44 KB, patch)
2015-10-08 05:40 EDT, Jakub Dorňák
no flags Details | Diff

  None (edit)
Description Jakub Dorňák 2015-10-08 05:40:18 EDT
Created attachment 1080938 [details]
patch

Description of problem:
As package maintainer I've come across many packages, which does not include LICENSE in their source tarball. Most of the licenses, however, require it to be distributed along with the source code (and binaries as well). I see that setuptools already automagically includes READMEs. So why not to include LICENSEs too?

Version-Release number of selected component (if applicable):
python-setuptools-17.1.1-3.fc22.noarch

Upstream pull request:
https://bitbucket.org/pypa/setuptools/pull-requests/150/include-license-or-licensetxt-in-source/diff
Comment 1 Kevin Fenzi 2015-10-10 18:54:41 EDT
I have no objection to this, but I would prefer upstream merge it (or at least say they intend to) before we carry it.
Comment 2 Fedora End Of Life 2016-07-19 14:09:04 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.